Tryton - Issues

 

Issue6995

Title Random crash of the client
Priority bug Status testing
Superseder Use GtkApplication
View: 7563
Nosy List Timitos, angel, ced, clews, reviewbot, roundup-bot, tbruyere
Type crash Components tryton
Assigned To ced Keywords GTK3, review
Reviews 39951002
View: 39951002

Created on 2017-12-09.15:17:49 by tbruyere, last changed by clews.

Messages
msg42081 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-07-06.15:03:23
The GtkApplication is implemented in issue7563
msg41897 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-06-27.11:27:00
I think it may be fixed by implementing GtkApplication: https://developer.gnome.org/gtk3/stable/GtkApplication.html
And use gtk_application_get_active_window
msg41896 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-06-27.11:25:47
I re-open it because issue7542 shows it is not yet fully fixed.
New changeset 072909b2ab3e by Cédric Krier in branch '4.6':
Simplify get_toplevel_window method
http://hg.tryton.org/tryton/rev/072909b2ab3e

New changeset 1c02406fddc3 by Cédric Krier in branch '4.4':
Simplify get_toplevel_window method
http://hg.tryton.org/tryton/rev/1c02406fddc3

New changeset 7e483f31548f by Cédric Krier in branch '4.2':
Simplify get_toplevel_window method
http://hg.tryton.org/tryton/rev/7e483f31548f

New changeset 31d865948ea9 by Cédric Krier in branch '4.0':
Simplify get_toplevel_window method
http://hg.tryton.org/tryton/rev/31d865948ea9

New changeset 4ff7827be366 by Cédric Krier in branch '3.8':
Simplify get_toplevel_window method
http://hg.tryton.org/tryton/rev/4ff7827be366
New changeset 7af43a761a33 by Cédric Krier in branch 'default':
Simplify get_toplevel_window method
http://hg.tryton.org/tryton/rev/7af43a761a33
review39951002 updated at https://codereview.tryton.org/39951002/#ps1
msg37183 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-12-09.17:54:00
As it is not easy to reproduce, I suspect that it is an issue in reference counting like the documentation explain: https://developer.gnome.org/gtk3/stable/GtkWindow.html#gtk-window-list-toplevels
I think the best is to simplify the code to minimize the risk of leaked reference. Here is review
msg37173 (view) Author: [hidden] (tbruyere) Date: 2017-12-09.15:17:49
After an event on the windows the client crash.
I could not identify the event.

/home/tbruyere/workspace/tryton/dev/tryton/tryton/common/common.py:296: Warning: g_object_get_qdata: assertion 'G_IS_OBJECT (object)' failed
  windows = [x for x in gtk.window_list_toplevels()
segmentation fault

Platform test :
Debian GNU/Linux 9
GTK : 3.22.11-1
History
Date User Action Args
2018-07-15 14:14:31clewssetnosy: + clews
2018-07-11 08:49:29angelsetnosy: + angel
2018-07-06 15:03:33cedsetassignedto: ced
2018-07-06 15:03:23cedsetstatus: chatting -> testing
superseder: + Use GtkApplication
messages: + msg42081
2018-06-28 20:55:23Timitossetnosy: + Timitos
2018-06-27 11:27:01cedsetmessages: + msg41897
2018-06-27 11:25:52cedsetassignedto: ced -> (no value)
2018-06-27 11:25:47cedsetstatus: resolved -> chatting
messages: + msg41896
2018-06-27 11:25:10cedlinkissue7542 superseder
2018-02-02 18:32:10roundup-botsetmessages: + msg38175

Showing 10 items. Show all history (warning: this could be VERY long)